######################################################################
# Project: Estimation and Inference for Generalized Geoadditive Models
# Author: Shan Yu, Guannan Wang, Li Wang, Chenhui Liu and Lijian Yang
# Date: November 2018
######################################################################
# plot
plot.SCB=function(x0,est,upper,lower,true=NULL){
  if(is.null(true)){
    plot(x0,est,type='l',ylim=c(min(lower),max(upper)),ylab='')
    polygon(c(x0, rev(x0)), c(upper, rev(lower)),
            col = "grey", border = NA)
    lines(x0,est,type='l')
  } else {
    plot(x0,est,type='l',ylim=c(min(lower),max(upper)),ylab='')
    polygon(c(x0, rev(x0)), c(upper, rev(lower)),
            col = "grey", border = NA)
    lines(x0,est,type='l')
    lines(x0,true,type='l',lty=2)
  }
}
